Show / Hide Table of Contents

# Struct SDL.SDL_MultiGestureEvent

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_MultiGestureEvent

### Fields

| Improve this Doc View Source

#### dDist

##### Declaration

    public float dDist

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### dTheta

##### Declaration

    public float dTheta

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### numFingers

##### Declaration

    public ushort numFingers

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### padding

##### Declaration

    public ushort padding

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### timestamp

##### Declaration

    public uint timestamp

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### touchId

##### Declaration

    public long touchId

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### type

##### Declaration

    public uint type

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### x

##### Declaration

    public float x

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### y

##### Declaration

    public float y

##### Field Value

Type | Description
--- | ---
System.Single |